---
import * as CONFIG from '../../config';
const { editHref } = Astro.props;
const showMoreSection = CONFIG.CommunityInvite || editHref;
---

{showMoreSection && <h2 class="heading">More</h2>}
<ul>
	{editHref && (
		<li class={`heading-link depth-2`}>
			<a class="edit-on-github" href={editHref} target="_blank">
				<svg
					aria-hidden="true"
					focusable="false"
					data-prefix="fas"
					data-icon="pen"
					class="svg-inline--fa fa-pen fa-w-16"
					role="img"
					xmlns="http://www.w3.org/2000/svg"
					viewBox="0 0 512 512"
					height="1em"
					width="1em"
				>
					<path
						fill="currentColor"
						d="M290.74 93.24l128.02 128.02-277.99 277.99-114.14 12.6C11.35 513.54-1.56 500.62.14 485.34l12.7-114.22 277.9-277.88zm207.2-19.06l-60.11-60.11c-18.75-18.75-49.16-18.75-67.91 0l-56.55 56.55 128.02 128.02 56.55-56.55c18.75-18.76 18.75-49.16 0-67.91z"
					/>
				</svg>
				<span>Edit this page</span>
			</a>
		</li>
	)}
		<li class={`heading-link depth-2`}>
			<a href={CONFIG.CommunityInvite} target="_blank">
				<svg
					aria-hidden="true"
					focusable="false"
					data-prefix="fas"
					data-icon="comment-alt"
					class="svg-inline--fa fa-comment-alt fa-w-16"
					role="img"
					xmlns="http://www.w3.org/2000/svg"
					viewBox="0 0 512 512"
					height="1em"
					width="1em"
				>
					<path
						fill="currentColor"
						d="M448 0H64C28.7 0 0 28.7 0 64v288c0 35.3 28.7 64 64 64h96v84c0 9.8 11.2 15.5 19.1 9.7L304 416h144c35.3 0 64-28.7 64-64V64c0-35.3-28.7-64-64-64z"
					/>
				</svg>
				<span>Support</span>
			</a>
		</li>
</ul>
<!-- <div style="margin: 2rem 0; text-align: center;">
	<ThemeToggleButton client:visible />
</div> -->

<style>
	.edit-on-github {
		text-decoration: none;
		font: inherit;
		color: inherit;
		font-size: 1rem;
	}
</style>
